Subject: Re: Labor Law Poster Invoice
From: "Michael B" <[email-masked]>
To: "Tasha Frankovich" <[email-masked]>
Date: Thu, 1 Dec 2016 10:00:17 -0500

Not seeing anything. 
Thank you,
Michael B
LLPS

From: Tasha Frankovich 
Sent: Thursday, December 01, 2016 9:54 AM
To: Michael B 
Subject: FW: Labor Law Poster Invoice 

How about this time?
I don't know what is happening here. I might have to call our IT department.

Please let me know
Thank you

Tasha Frankovich
Paybill / Credit Manager
AccessPoint
Direct Line (517) 908-4782
Main Line (517) 321-4765 ext #4782
Fax (517) 321-4526
[email-masked]<mailto:[email-masked]>

Celebrating over 25 years of providing Staffing and HR Solutions!

From: Tasha Frankovich
Sent: Wednesday, November 30, 2016 3:06 PM
To: Michael B
Subject: FW: Labor Law Poster Invoice

Michael,

Does this one show the attachment?
Not sure why the other email didn't show up.

Please let me know
Thank you

Tasha Frankovich
Paybill / Credit Manager
AccessPoint
Direct Line (517) 908-4782
Main Line (517) 321-4765 ext #4782
Fax (517) 321-4526
[email-masked]<mailto:[email-masked]>

Celebrating over 25 years of providing Staffing and HR Solutions!

From: Tasha Frankovich
Sent: Wednesday, November 30, 2016 2:36 PM
To: Michael B
Subject: FW: Labor Law Poster Invoice

Good afternoon,

The attached invoice has been skipped for payment.
I just wanted to be sure you have it in your system for payment.

Thank you

Tasha Frankovich
Paybill / Credit Manager
AccessPoint
Direct Line (517) 908-4782
Main Line (517) 321-4765 ext #4782
Fax (517) 321-4526
[email-masked]<mailto:[email-masked]>

Celebrating over 25 years of providing Staffing and HR Solutions!

From: Amanda Mason
Sent: Thursday, November 03, 2016 12:14 PM
To: Michael B
Cc: Tasha Frankovich
Subject: Labor Law Poster Invoice

Hi Michael,

Attached is your invoice for week ending 10/30/16 totaling $6,110.09

Thank you for your business! :)

Amanda Mason

LEAD PAYROLL SPECIALIST │ACCESSPOINT
4407 W St. Joseph Hwy Lansing, MI  48917
517-908-4774 (Direct Line) │ [email-masked]<mailto:[email-masked]>
www.accesspointhr.com<http://www.accesspointhr.com/> | www.apteam.com<http://www.accesspointhr.com/>

[AP Logo.jpg]

<http://www.peoreliability.org/AccessPoint>